# splash.cpp File Reference

Splash screen support for OSX. More...

`#include "../../stdafx.h"`
`#include "../../openttd.h"`
`#include "../../variables.h"`
`#include "../../debug.h"`
`#include "../../gfx_func.h"`
`#include "../../fileio_func.h"`
`#include "../../blitter/factory.hpp"`
`#include "../../core/mem_func.hpp"`
`#include "splash.h"`
`#include <png.h>`

Go to the source code of this file.

## Functions
static void PNGAPI | png_my_error (png_structp png_ptr, png_const_charp message)
static void PNGAPI | png_my_warning (png_structp png_ptr, png_const_charp message)
void | DisplaySplashImage ()

## Detailed Description

Splash screen support for OSX.

Definition in file splash.cpp.